import axios from "@/utils/request";

export function getDeviceInspectTakeList(params) {
  return axios({
    url: "/udiwms/inv/device/inspect/take/filter",
    method: "get",
    params: params
  });
}

export function uploadDeviceInspecTake(params) {
  return axios({
    url: "/udiwms/inv/device/inspect/take/uploadDeviceInspecTake",
    method: "post",
    data: params
  });
}

export function uploadDeviceTake(params) {
  return axios({
    url: "/udiwms/inv/device/inspect/take/uploadDeviceTake",
    method: "post",
    data: params
  });
}

export function saveDeviceInspectTake(data, formName) {
  return axios({
    url: formName === "add" ? "/udiwms/inv/device/inspect/take/addDeviceInspecTake" : "/udiwms/inv/device/inspect/take/uploadDeviceInspecTake",
    method: "post",
    data: data
  });
}

export function selectDeviceInspecTakeDetail(params) {
  return axios({
    url: "/udiwms/inv/device/inspect/take/detail/selectDeviceInspecTakeDetail",
    method: "get",
    params: params
  });
}

export function uploadDeviceInspecTakeDetail(params) {
  return axios({
    url: "/udiwms/inv/device/inspect/take/detail/uploadDeviceInspecTakeDetail",
    method: "post",
    data: params
  });
}

export function addDeviceInspecTakeDetail(params) {
  return axios({
    url: "/udiwms/inv/device/inspect/take/detail/addDeviceInspecTakeDetail",
    method: "post",
    data: params
  });
}

export function delectDeviceInspecTake(data) {
    return axios({
        url: "/udiwms/inv/device/inspect/take/delectDeviceInspecTake",
        method: "post",
        data: data
    });
}

export function delectDeviceInspecTakeDetail(params) {
    return axios({
        url: "/udiwms/inv/device/inspect/take/detail/delectDeviceInspecTakeDetail",
        method: "get",
        params: params
    });
}





